Draft Arc: Difference between revisions

From FreeCAD Documentation
m (→‎Usage: - clarifying the location of buttons to finish operations)
Line 67: Line 67:


<!--T:6-->
<!--T:6-->
A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}}. A Draft Arc therefore has the same [[Draft_Circle#Properties|properties]] as a [[Draft_Circle|Draft Circle]].
A Draft Arc is in fact a [[Draft_Circle|Draft Circle]] with a {{PropertyData|First Angle}} that is not the same as its {{PropertyData|Last Angle}} and has the same [[Draft_Circle#Properties|properties]].


==Scripting==
==Scripting==

Revision as of 09:26, 27 March 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Arc

Menu location
Drafting → Arc tools → Arc
Workbenches
Draft, Arch
Default shortcut
A R
Introduced in version
0.7
See also
Draft Arc 3Points, Draft Circle

Description

The Draft Arc command creates a circular arc in the current working plane by entering four points, the center, a point that defines the radius, the first end point and the second end point, or by picking tangents, or any combination of those. It uses the Draft Linestyle set on the Draft Tray.

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

  1. There are several ways to invoke the command:
    • Press the Draft Arc button.
    • Select the Drafting → Arc tools → Arc option from the menu.
    • Use the keyboard shortcut: A then R.
  2. Click the first point in the 3D view, or type coordinates and press the Enter point button in the related Line task panel.
  3. Click the second point in the 3D view, or enter a Radius.
  4. Click the third point in the 3D view, or enter a Start angle.
  5. Click the fourth point in the 3D view, or enter an Aperture angle.

Options

  • The primary use of the arc command is by picking four points: the center, a point on the circumference, the start of the arc, and its end.
    • By pressing Alt, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.
  • The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Enter point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Arc command will restart after you finish the arc, allowing you to draw another one without pressing the command button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your point horizontally or vertically in relation to the center.
  • Press Esc or the Close button to abort the current command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Properties

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle and has the same properties.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()